/*
 * PackageNameHelper.java
 * 
 * Created on Oct 4, 2012, 6:08:36 PM
 * 
 * Copyright(c) 2012 Carlos Eduardo Bernal Cárdenas. All Rights Reserved.
 * This software is the proprietary information of Carlos Eduardo Bernal Cárdenas.
 */
package googleplay.crawler.util;

import com.gc.android.market.api.MarketSession;
import com.gc.android.market.api.model.Market;

/**
 * {Insert class description here}
 *
 * @author Carlos Eduardo Bernal Cárdenas
 * @version 1.0
 * @since Build Oct 4, 2012
 */
public class PackageNameHelper {

    private static String idApp;

    public static String getAppId(MarketSession session, String packageName) {

        Market.AppsRequest appsRequest = Market.AppsRequest.newBuilder().setQuery("pname:" + packageName).setStartIndex(0).setEntriesCount(10).setWithExtendedInfo(true).build();
        session.append(appsRequest, new MarketSession.Callback<Market.AppsResponse>() {

            @Override
            public void onResult(Market.ResponseContext context, Market.AppsResponse response) {
                if (response.getAppCount() > 0) {
//                    setIdApp(response.getApp(0).getId());
//                    idApp = response.getApp(0).getId();
                    System.out.println(response.getApp(0).getId());
                } else {
                    System.out.println("Nothing found...");
                }
            }
        });
        session.flush();
        return idApp;
    }
}